# OqlProjectionClause Class Reference
[Object Query Language based on Criteria]

Inheritance diagram for OqlProjectionClause:
[legend]

List of all members.

## Public Member Functions

| toProjection ()

## Static Public Member Functions

static | create ()

## Detailed Description

Definition at line 15 of file OqlProjectionClause.class.php.

## Member Function Documentation

static OqlProjectionClause::create | ( |  | ) | `[static]`

Returns:
  OqlProjectionClause

Reimplemented in OqlSelectPropertiesClause.

Definition at line 20 of file OqlProjectionClause.class.php.

OqlProjectionClause::toProjection | ( |  | ) |

Returns:
  ProjectionChain

Definition at line 28 of file OqlProjectionClause.class.php.

References Projection::chain().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/OQL/Statements/OqlProjectionClause.class.php